# propka.molecular_container

## PDB molecular container

Molecular container for storing all contents of PDB files.

Classes

`MolecularContainer`(parameters, options) | Container for storing molecular contents of PDB files.

class propka.molecular_container.MolecularContainer(parameters: Parameters, options: Options)

  Container for storing molecular contents of PDB files.

  TODO - this class name does not conform to PEP8 but has external use. We should deprecate and change eventually.

  Changed in version 3.4.0: Removed `write_propka()` and `additional_setup_when_reading_input_file()` as reading and writing PROPKA input files is no longer supported.

  average_of_conformations() → None

    Generate an average of conformations.

  calculate_pka() → None

    Calculate pKa values.

  extract_groups() → None

    Identify the groups needed for pKa calculation.

  find_covalently_coupled_groups() → None

    Find covalently coupled groups.

  find_non_covalently_coupled_groups() → None

    Find non-covalently coupled groups.

  get_charge_profile(conformation: str = 'AVR', grid=[0.0, 14.0, 0.1])

    Get charge profile for conformation as function of pH.

    Parameters:

      - conformation – conformation to test

      - grid – grid of pH values [min, max, step]

    Returns:

      list of charge state values

  get_folding_profile(conformation='AVR', reference='neutral', grid: Tuple[float, float, float] = (0.0, 14.0, 0.1))

    Get a folding profile.

    Parameters:

      - conformation – conformation to select

      - reference – reference state

      - direction – folding direction (folding)

      - grid – the grid of pH values [min, max, step_size]

      - options – options object

    Returns:

      TODO - figure out what these are 1. profile 2. opt 3. range_80pct 4. stability_range

  get_pi(conformation: str = 'AVR', grid=[0.0, 14.0, 1], *, precision: float = 0.0001) → Tuple[float, float]

    Get the isoelectric points for folded and unfolded states.

    Parameters:

      - conformation – conformation to test

      - grid – grid of pH values [min, max, step]

      - precision – Compute pI up to this precision

    Returns:

      1. Folded state PI

      2. Unfolded state PI

  top_up_conformations() → None

    Makes sure that all atoms are present in all conformations.

  write_pka(filename=None, reference='neutral', direction='folding', options=None) → None

    Write pKa information to a file.

    Parameters:

      - filename – file to write to

      - reference – reference state

      - direction – folding vs. unfolding

      - options – options object